body,
html,
p,
h1,
h2,
h3,
h4,
h5,
span,
button,
input,
select,
textarea,
label {
  letter-spacing: -0.4px;
}

::selection {
  background-color: var(--color-primary);
  color: #fff;
}

/*scrollbar custom*/
::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

::-webkit-scrollbar-thumb {
  background-color: #ccc;
  border-radius: 40px;
}

/* slide */
:root {
  --arrow-width: 60px;
  --arrow-height: 60px;
  --arrow-position: -120px;
  --arrow-image: url("/themes/basic/assets/images/slide_btn.svg");

  --dot-position: -25px;
  --dot-width: 8px;
  --dot-height: 8px;
  --dot-gap: 10px;
  --dot-color: #ddd;
  --dot-active-color: var(--color-primary);
}

/*Layout*/
:root {
  --container-width: 1360px;
  --divider-gap: 150px;
}

/*Grid*/
:root {
  --grid-gap: 40px;
  --grid-t-gap: 30px;
  --grid-m-gap: 20px;
  --row-gap: 40px;
  --row-t-gap: 30px;
  --row-m-gap: 20px;
}

/* input */
:root {
  --input-padding: 0 18px;
  --input-font-size: 17px;
  --input-height: 55px;
}

/* button */
:root {
  --btn-height: 55px;
  --btn-font-size: var(--f16);
}

/*Font*/
* {
  font-family: "Pretendard", "Noto Sans KR", sans-serif;
}

.pp {
  font-family: "poppins", "Pretendard", "Noto Sans KR", sans-serif;
  font-weight: 600;
}

:root {
  --font-size-default: 18px;
  --f14: 14px;
  --f16: 16px;
  --f22: 22px;
  --f20: 20px;
  --f36: 36px;
  --f45: 45px;
  --f55: 55px;
}

html {
  font-size: var(--font-size-default);
}

p {
  font-size: var(--font-size-default);
}

h1 {
  font-size: var(--f55);
  line-height: 1.36;
}

h2 {
  font-size: var(--f45);
}

h3 {
  font-size: var(--f36);
}

h4 {
  font-size: var(--f22);
}

h5 {
  font-size: var(--f20);
}

/* custom */
@media all and (min-width: 768px) and (max-width: 1600px) {
  :root {
    --arrow-position: -30px;
  }
}

/* Desktop ( 1024px ~)*/
@media all and (min-width: 1024px) {
}

/* Laptop ( 1024px ~ 1360px)*/
@media all and (min-width: 1024px) and (max-width: 1360px) {
}

/* Tablet ( 768px ~ 1023px)*/
@media all and (min-width: 768px) and (max-width: 1023px) {
  :root {
    --divider-gap: 100px;

    --font-size-default: 17px;
    --f16: 15px;
    --f20: 18px;
    --f22: 20px;
    --f36: 32px;
    --f45: 40px;
    --f55: 50px;
  }
}

/* Mobile ( ~ 767px)*/
@media all and (max-width: 767px) {
  :root {
    --divider-gap: 60px;

    --input-font-size: 13px;
    --input-height: 45px;

    --btn-height: 45px;
    --btn-font-size: 13px;

    --arrow-width: 40px;
    --arrow-height: 40px;
    --arrow-position: 0;

    --font-size-default: 15px;
    --f14: 11px;
    --f16: 13px;
    --f20: 16px;
    --f22: 18px;
    --f36: 28px;
    --f45: 30px;
    --f55: 35px;
  }
}
